{% extends "base.html" %}

{% block title %}Logi{% endblock %}

{% block stylesheet %}
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/stylesTableLogs.css')}}">
{% endblock %}

{% block article %}
    <div class="article">
        <input type="text" class="live-search-box" id="searchbar" placeholder="Szukaj">

        <table>
            <tr>
                <th>Kod wywołanej akcji</th>
                <th>Użytkownik</th>
                <th>Czas</th>
                <th>Pomieszczenie</th>
            </tr>
            {% for i in logs_rows %}
            <tr class="live-search-list">
                <td>{{ i.error_code }}</td>

                {% if i.email == None %}
                <td>{{ i.tag }}</td>
                {% else %}
                <td>{{ i.imie }} {{ i.nazwisko }} - {{ i.klasa }}{{ i.oddzial }}</td>
                {% endif %}

                <td>{{ i.time_stamps[:-7] }}</td>
                <td>{{ i.room_name }}</td>
            </tr>
            {% endfor %}
        </table>

    </div>
{% endblock %}

{% block scripts %}
    <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <script src="{{ url_for('static', filename = 'js/scriptSearch.js')}}" type="text/javascript"></script>
{% endblock %}